﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace RadDataGridUWP_1119412
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.DataGrid.ItemsSource = new List<Data>
             {
                 new Data { Country = "India", Capital = "New Delhi", Item1 = "item1", Item2 = "item2", Item3 = "item3", Item4 = "item4" },
                 new Data { Country = "South Africa", Capital = "Cape Town", Item1 = "item1", Item2 = "item2", Item3 = "item3", Item4 = "item4" },
                 new Data { Country = "Nigeria", Capital = "Abuja", Item1 = "item1", Item2 = "item2", Item3 = "item3", Item4 = "item4"  },
                 new Data { Country = "Singapore", Capital = "Singapore", Item1 = "item1", Item2 = "item2", Item3 = "item3", Item4 = "item4" }
             };
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.DataGrid.Columns.Move(1, 0);
            this.DataGrid.Columns.Move(3, 2);
        }
    }

    public class Data
    {
        public string Country { get; set; }

        public string Capital { get; set; }
        public string Item1 { get; set; }
        public string Item2 { get; set; }
        public string Item3 { get; set; }
        public string Item4 { get; set; }
    }
}
